PETSc version 3.15.5
Fix/Edit manual page

# PetscSectionDestroy

Frees a section object and frees its range if that exists.

### Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionDestroy(PetscSection *s)

Not collective

### Input Parameters

| s | - the PetscSection

### See Also

PetscSection, PetscSectionCreate()

### Level

beginner

### Location

src/vec/is/section/interface/section.c

### Examples

src/dm/impls/plex/tutorials/ex1.c.html
src/dm/impls/plex/tutorials/ex6.c.html
src/dm/impls/plex/tutorials/ex7.c.html
src/dm/impls/plex/tutorials/ex1f90.F90.html
src/dm/tutorials/ex20.c.html
src/ts/tutorials/ex11.c.html
src/ts/tutorials/ex52.c.html
Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages